## Specifying the Project Database

When launching understand_ada commands, the existing Understand for Ada window can be used or a new Understand for Ada window can be launched and a new project loaded.

To use the existing Understand for Ada window and current project, omit the -db specifier on the command line. You can also specify -existing to override any possible user-customized preferences set in the current project. For example:

    understand_ada -existing -name myEnt
     -file file.adb -line 37 -ib

loads the Info Browser of the current Understand session with the specified entity.

To launch a new instance of Understand, use the -db specifier. You can also specify -new to override any possible user-customized preferences. For example:

    understand_ada -db myproj.uda -new
    -name myEnt -file file.adb -line 37 -ib

launches a new session of Understand, loads the database myproj.uda, and shows myEnt in the Info Browser.

You can also use the -last option to open the most recently used project if no project is currently loaded.

You can use the -demo option to open the sample project provided with Understand for Ada.

Scientific Toolworks, Inc. http://www.scitools.com